# Formulas

## Genesis&#x20;

**ETH:EGL\_Genesis\_Ratio:**

$$
\text{ETH:EGL Genesis Ratio}: \frac{\text{Total ETH staked at Genesis}}{\text{750,000,000 EGLs}}
$$

**Bonus Voting EGL**~~**s**~~:&#x20;

$$
(y^4-x^4)/(\frac{81}{128}) \* 10^{27})
$$

where,&#x20;

$$
\text{last serialized EGL = y} = \text{ETH:EGL Genesis Ratio}\* \text{cumulative ETH staked after you contribute}
$$

$$
\text{first serialized EGL = x} = \text{ETH:EGL Genesis Ratio} \* \text{cumulative ETH staked before you contributed}
$$

**BPT Unlock Schedule:**&#x20;

$$
\text{First BPT Release Date} =(\frac{\text{first\_serialized\_EGL}}{750,000,000})^{1/4}\* 294 + 70
$$

$$
\text{Last BPT Release Date} = (\frac{\text{last\_serialized\_EGL}}{750,000,000})^{1/4}\* 294 + 70
$$

{% hint style="info" %}
Launch is the date the voting contract is deployed, not the date the Genesis closes.
{% endhint %}

**Bonus Token Unlock**: With your individual last BPT token

## ‌Voting

**Voting Rewards**: $$Reward\_i = 362844.70 \* (52 - i)$$EGLs

**Desired Gas Limit (**`desiredEgl`): $$\frac{\sum\_i (targetGasLimit\_i \* weight\_i)}{ \sum\_i weight\_i}$$&#x20;

## Miners (Pools)

**Max Miner Reward**: Remaining EGLs available \* 0.0000002 (see [Mining Pool Reward](/protocol-overview/miner-rewards.md) for more details)<br>

## Creator's Fund

**Release Date:**&#x20;

$$
\text{Release Date} =(\frac{\text{serialized\_EGL}}{750,000,000})^{1/4}\* 294 + 70
$$

## Other

EGls in Circulation `(eglsInCirculation)` = $$Matching EGLs  + Claimed BonusVotingEGls + Claimed EGL Voices + Claimed Miner Rewards + Allocated DAO EGLs + Unlocked Creator Rewards$$ (see [Voting Threshold](/protocol-overview/voting/voting-threshold.md))


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.egl.vote/appendix/equations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
